%define debug_package %{nil}
Name: planets
Version:  0.1.13
Release:  7%{?dist}
Summary: A celestial simulator  

Group: Amusements/Games 
License: GPLv2+
URL: http://planets.homedns.org/
Source0: http://planets.homedns.org/dist/planets-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: desktop-file-utils, ocaml-labltk-devel, ocaml-camlp4-devel
Requires: hicolor-icon-theme
ExclusiveArch:  alpha armv4l %{ix86} ia64 x86_64 ppc sparc

%description
Planets is a simple interactive program for playing with simulations
of planetary systems

%prep
%setup -q

%build

iconv -f ISO-8859-1 -t UTF-8 TODO > iconv.tmp
mv iconv.tmp TODO

make

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
install -m 755 planets %{buildroot}%{_bindir}/planets
mkdir -p %{buildroot}/usr/share/man/man1
cp -pr planets.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --remove-category Application               \
  --add-category Simulation                  \
  --dir %{buildroot}%{_datadir}/applications \
  planets.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 planets.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES codeguide.txt COPYING CREDITS getting_started.html KEYBINDINGS.txt LICENSE README TODO VERSION
%{_bindir}/planets
%{_datadir}/applications/fedora-planets.desktop
%{_datadir}/icons/hicolor/32x32/apps/planets.png
%{_mandir}/man1/planets.1.gz

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 Jon Ciesla <limb@jcomserv.net> - 0.1.13-4
- Disabled debuginfo.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 5 2008 Jon Ciesla <limb@jcomserv.net> - 0.1.13-2
- Dropped unneccessary docs.
- Used rpmmacro for man page.
- Using ExclusiveArch due to ppc64 ocaml issues.

* Sun Feb 3 2008 Jon Ciesla <limb@jcomserv.net> - 0.1.13-1
- create.
